﻿using System;
using System.Collections.Generic;

namespace MVVMSample
{
    public class Employee
    {
        private string firstName;
        private string lastName;
        private string jobTitle;

        public Employee(string firstName, string lastName, string jobTitle)
        {
            this.firstName = firstName;
            this.lastName = lastName;
            this.jobTitle = jobTitle;
        }

        public string FirstName
        {
            get
            {
                return this.firstName;
            }
            set
            {
                this.firstName = value;
            }
        }

        public string LastName
        {
            get
            {
                return this.lastName;
            }
            set
            {
                this.lastName = value;
            }
        }

        public string JobTitle
        {
            get
            {
                return this.jobTitle;
            }
            set
            {
                this.jobTitle = value;
            }
        }

        public static List<Employee> GetEmployees()
        {
            List<Employee> employees = new List<Employee>();

            employees.Add(new Employee("John", "Smith", "Manager"));
            employees.Add(new Employee("Lacy", "Green", "Assistant"));
            employees.Add(new Employee("Peter", "Forester", "Manager"));

            return employees;
        }
    }
}
